<?php
/**
 * The template for displaying archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Ayyash
 * @author ThemeOO
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

get_header();

$description = get_the_archive_description();

?>
<div class="row">
	<div class="col-md-8">
<?php
if ( have_posts() ) { ?>

	<header class="page-header">
		<?php the_archive_title('<h1 class="page-title">', '</h1>'); ?>
		<?php if ( $description ) : ?>
			<div class="archive-description"><?php echo wp_kses_post(wpautop($description)); ?></div>
		<?php endif; ?>
	</header><!-- .page-header -->
	<?php
	// Load posts loop.
	while ( have_posts() ) {
		the_post();

		get_template_part('template-parts/content/content', 'excerpt');
	}

	// Previous/next page navigation.
	volcano_the_posts_navigation();
} else {

	// If no content, include the "No posts found" template.
	get_template_part('template-parts/content/content-none');
}
?>
	</div>
	<?php get_sidebar(); ?>
</div>
<?php
get_footer();
