<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Volcano
 * @author Nazmul Hasan
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

do_action( 'volcano_before_footer' );
?>
</div><!-- .container -->
</div><!-- #content -->
<footer id="colophon" class="site-footer">
	<div class="container">
		<?php if ( has_nav_menu( 'footer_menu' ) ) : ?>
			<nav aria-label="<?php esc_attr_e( 'Secondary menu', 'volcano' ); ?>" class="footer-navigation">
				<ul class="footer-navigation-wrapper">
					<?php
					wp_nav_menu(
						array(
							'theme_location' => 'footer_menu',
							'items_wrap'     => '%3$s',
							'container'      => false,
							'depth'          => 1,
							'link_before'    => '<span>',
							'link_after'     => '</span>',
							'fallback_cb'    => false,
						)
					);
					?>
				</ul><!-- .footer-navigation-wrapper -->
			</nav><!-- .footer-navigation -->
		<?php endif; ?>
		<div class="copyright">
			<!-- .copyright -->
			<div class="powered-by text-center">
				<?php
				printf(
				/* translators: %1$s: WordPress, %2$s: heart icon, %3$s: Themeoo  */
					esc_html__( 'Proudly powered by %1$s.', 'volcano' ),
					'<a href="' . esc_url( __( 'https://wordpress.org/', 'volcano' ) ) . '" rel="noopener" target="_blank">WordPress</a>'
				);
				?>
			</div><!-- .made-with -->
		</div>
	</div>
</footer><!-- #colophon -->
<?php do_action( 'volcano_before_footer' ); ?>
</div><!-- #page -->
<?php
do_action( 'volcano_after_page' );
wp_footer();
?>
</body>
</html>
