<?php
/**
 * Theme functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package volcano
 * @version 1.0.0
 * @since volcano 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

/**
 * Theme Defined Constant
 */
define( 'VOLCANO_THEME_VERSION', '1.0.2' );
define( 'VOLCANO_THEME_DIR', untrailingslashit(get_template_directory()) . '/' );
define( 'VOLCANO_THEME_URI', untrailingslashit(get_template_directory_uri()) . '/' );

/**
 * Loading Core File and Script Loader.
 */
require_once VOLCANO_THEME_DIR . 'inc/class-volcano-after-setup-theme.php';
require_once VOLCANO_THEME_DIR . 'inc/template-functions.php';
require_once VOLCANO_THEME_DIR . 'inc/admin-functions.php';
require_once VOLCANO_THEME_DIR . 'inc/template-tags.php';
require_once VOLCANO_THEME_DIR . 'inc/volcano-register-widget.php';
require_once VOLCANO_THEME_DIR . 'inc/class-volcano-enqueue-scripts.php';


// End of file functions.php.
