<?php
/**
 * The header.
 *
 * Displays all of the <head> section and everything up till end of </header>
 *
 * @package Volcano
 * @author Nazmul Hasan
 * @since volcano 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>
<body <?php body_class( 'volcano' ); ?>>
<?php
wp_body_open();
/**
 * Custom action before page
 */
do_action( 'volcano_before_page' );
?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'volcano' ); ?></a>
	<?php get_template_part( 'template-parts/header/site-header' ); ?>
	<div id="content" class="site-content">
		<div class="container">
