<?php
/**
 * Admin functions - Functions that add some functionality to WordPress admin panel
 *
 * @package Volcano
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Register menus
 */
if ( ! function_exists( 'volcano_register_menus' ) ) {

	/**
	 * Register menus
	 *
	 * @since 1.0.0
	 */
	function volcano_register_menus() {

		/**
		 * Primary Menus
		 */
		register_nav_menus(
			array(
				'primary' => __( 'Primary Menu', 'volcano' ),
			)
		);

		/**
		 * Footer Menus
		 */
		register_nav_menus(
			array(
				'footer_menu' => __( 'Footer Menu', 'volcano' ),
			)
		);

	}
}

add_action( 'init', 'volcano_register_menus' );
