<?php
/**
 * Sidebar Config.
 *
 * @package Volcano
 * @author volcano
 */

if ( ! defined( 'ABSPATH' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	die();
}

if ( ! function_exists( 'volcano_widgets_init' ) ) :

	/**
	 * Registering widget / sidebar for the theme
	 *
	 * @return void
	 */
	function volcano_widgets_init() {

		// register Main sidebar widgets.
		register_sidebar(
			array(
				'name'          => __( 'Main Sidebar', 'volcano' ),
				'id'            => 'main-sidebar',
				'description'   => '',
				'before_widget' => '<aside id="%1$s" class="volcano-widget %2$s sidebar-widget clearfix">',
				'after_widget'  => '</aside>',
				'before_title'  => '<h3 class="widget-title">',
				'after_title'   => '</h3>',
			)
		);
	}

endif;

add_action( 'widgets_init', 'volcano_widgets_init' );
