<?php
/**
 * Displays the site header.
 *
 * @package Volcano
 * @since volcano 1.0.0
 */

$wrapper_classes  = 'site-header';
$wrapper_classes .= has_custom_logo() ? ' has-logo' : '';
$wrapper_classes .= has_nav_menu( 'primary' ) ? ' has-menu' : '';
?>

<header id="masthead" class="<?php echo esc_attr( $wrapper_classes ); ?>" role="banner">
	<nav class="navbar">
		<div class="container">
			<?php get_template_part( 'template-parts/header/site-branding' ); ?>
			<?php get_template_part( 'template-parts/header/site-nav' ); ?>
			<span class="volcano-hamburger d-lg-none" id="volcano-hamburger"><i class="ti-menu" aria-hidden="true"></i></span><!-- .hamburger-->
		</div>
	</nav>
</header><!-- #masthead -->

<header id="mobile-header" class="mobile-header">
	<?php
	wp_nav_menu(
		array(
			'theme_location'  => 'primary',
			'menu_class'      => 'nav-items',
			'container_class' => 'nav-drill',
			'items_wrap'      => '<ul id="mobile-menu-list" class="%2$s">%3$s</ul>',
			'fallback_cb'     => false,
		)
	);
	?>
</header><!-- #mobile-header -->
